=== applets/digital-clock/CMakeLists.txt ===
project(digital-clock)

install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.digital-clock-qml PATTERN .svn EXCLUDE)

install(FILES plasma-applet-digital-clock-qml.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})
