=== debian/changelog ===
plasma-mobile (0.0~svn20100830-0ubuntu5) maverick; urgency=low

  * Add dependency on libqtwebkit4-declarative

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Sep 2010 16:11:32 +0100

plasma-mobile (0.0~svn20100830-0ubuntu4) maverick; urgency=low

  * Remove kubuntu_02_no_qml_webkit.diff now that qml support is in
    QtWebkit

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Sep 2010 18:51:53 +0100

plasma-mobile (0.0~svn20100830-0ubuntu3) maverick; urgency=low

  * Add kubuntu_02_no_qml_webkit.diff to fix startup with our webkit
    version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Sep 2010 23:35:03 +0100

plasma-mobile (0.0~svn20100830-0ubuntu2) maverick; urgency=low

  * rebuild for binary incompatibility somewhere

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Sep 2010 23:38:55 +0100

plasma-mobile (0.0~svn20100830-0ubuntu1) maverick; urgency=low

  * New svn snapshot, revision 1170070. (LP: #627205)
  * Updated Standards-Version to 3.9.1.
  * Updated the build-dep kdebase-workspace-dev to >= 4.5.
  * Removed the patches kubuntu_02_enable_mobilesystray_build.diff and
    kubuntu_03_add_mobilesystray_to_all_desktops.diff since upstream
    already enables the systray build and it is by default on all
    desktops.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Rodrigo Belem <rclbelem@gmail.com>  Mon, 30 Aug 2010 23:41:22 -0400

plasma-mobile (0.0~svn20100802-0ubuntu2) maverick; urgency=low

  * Added plasma-widgets-addons as dependency. (LP: #623142)

 -- Rodrigo Belem <rclbelem@gmail.com>  Tue, 24 Aug 2010 01:07:11 -0400

plasma-mobile (0.0~svn20100802-0ubuntu1) maverick; urgency=low

  * New svn snapshot, revision 1158511. (LP: #612780)

 -- Rodrigo Belem <rclbelem@gmail.com>  Mon, 02 Aug 2010 20:23:24 -0400

plasma-mobile (0.0~svn20100711-0ubuntu1) maverick; urgency=low

  * New svn snapshot. (LP: #604364 )
  * Added kubuntu_02_enable_mobilesystray_build.diff to enable the
    build of mobilesystray.
  * Added kubuntu_03_add_mobilesystray_to_all_desktops.diff which
    adds the mobilesystray applet to the network desktop.

 -- Rodrigo Belem <rclbelem@gmail.com>  Sun, 11 Jul 2010 17:08:47 -0400

plasma-mobile (0.0~svn20100617-0ubuntu2) maverick; urgency=low

  * Remove Install_libplasma_bindings_to_plugins_dir.diff which
    incorrectly made libplasma_bindings.so try to be a plugin, add
    kubuntu_01_library_version.diff which gives it a version number

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Jun 2010 12:46:03 +0100

plasma-mobile (0.0~svn20100617-0ubuntu1) maverick; urgency=low

  * Initial release. (LP: #512319)

 -- Rodrigo Belem <rclbelem@gmail.com>  Thu, 17 Jun 2010 13:10:20 -0400
