=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rclbelem@gmail.com>
Build-Depends: debhelper (>= 7.3.16~), quilt (>= 0.46-7~), cmake (>= 2.8.1),
 pkg-kde-tools (>= 0.5.0~), kdelibs5-dev (>= 4.5),
 kdebase-workspace-dev (>= 4.5), libxrender-dev,
 libqt4-opengl-dev (>= 4.7.0~)
Standards-Version: 3.9.1
Homepage: http://www.kde.org/

Package: plasma-mobile
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-widgets-addons (>= 4.5), libqtwebkit4-declarative
Description: tech preview of the KDE plasma workspace for mobile devices
 Provides a basic KDE plasma workspace for mobile environments, which supports
 a wide variety of mobile application types.
 Applications which integrate best in this environment follow standards used by
 the KDE Platform.
 .
 This package provides a tech preview KDE Plasma Mobile installation.
