=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde --with quilt $@

TARFILE?=plasma-mobile_0.0~svn$(shell date +%Y%m%d).orig.tar

get-orig-source:
	svn export svn://anonsvn.kde.org/home/kde/trunk/playground/base/plasma/shells/mobile plasma-mobile
	cp /usr/share/common-licenses/LGPL plasma-mobile/LICENSE.LGPL
	cp /usr/share/common-licenses/LGPL-2 plasma-mobile/LICENSE.LGPL-2
	cp /usr/share/common-licenses/GPL plasma-mobile/LICENSE.GPL
	cp /usr/share/common-licenses/BSD plasma-mobile/LICENSE.BSD
	tar cf $(TARFILE) plasma-mobile
	rm -rf plasma-mobile
	gzip -9fn $(TARFILE)

../$(TARFILE): get-orig-source
