## plasma-mobile 0.0~svn20110101

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,9 +11,7 @@
 
 add_subdirectory(applets)
 add_subdirectory(containments)
-add_subdirectory(dataengines)
 add_subdirectory(desktoptheme)
-add_subdirectory(qmlengine)
 add_subdirectory(bindings)
 add_subdirectory(examples)
 if(NOT WIN32)
