=== bindings/CMakeLists.txt ===
project(bindings)

add_subdirectory(phone)
add_subdirectory(mobilecomponents)
