=== containments/CMakeLists.txt ===
if(NOT WIN32)
add_subdirectory(mobiledesktop)
add_subdirectory(mobilelauncher)

endif(NOT WIN32)
