=== desktoptheme/CMakeLists.txt ===

add_subdirectory(air-mobile)
