=== examples/CMakeLists.txt ===
add_subdirectory(qmlwidgets)
