=== shell/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 include(KDE4Defaults)
 
 add_subdirectory(data)
+add_subdirectory(mobiletoolbox)
 
 set(plasma-mobile_SRCS
     main.cpp
@@ -12,15 +13,10 @@
     plasmaapp.cpp
     mobdialogmanager.cpp
     inputcontext.cpp
-    ../common/qmlwidget.cpp
     
     widgetsexplorer/mobilewidgetsexplorer.cpp
     widgetsexplorer/kcategorizeditemsviewmodels.cpp
     widgetsexplorer/plasmaappletitemmodel.cpp
-)
-
-set(PLASMA_BINDINGS
-  plasma_bindings
 )
 
 #set(ksmserver_xml ${KDEBASE_WORKSPACE_SOURCE_DIR}/ksmserver/org.kde.KSMServerInterface.xml)
@@ -32,7 +28,7 @@
 kde4_add_kdeinit_executable(plasma-mobile ${plasma-mobile_SRCS})
 
 target_link_libraries(kdeinit_plasma-mobile ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTDECLARATIVE_LIBRARY} 
-                      ${KDE4_KIO_LIBS} ${X11_LIBRARIES} ${PLASMA_BINDINGS} ${QT_QTOPENGL_LIBRARY})
+                      ${KDE4_KIO_LIBS} ${X11_LIBRARIES} ${QT_QTOPENGL_LIBRARY})
 if(X11_Xrender_FOUND)
    target_link_libraries(kdeinit_plasma-mobile ${X11_Xrender_LIB})
 endif(X11_Xrender_FOUND)
