=== debian/changelog ===
plasma-mobile (0.0~svn20110101-0ubuntu3) oneiric; urgency=low

  * Depend on libqtwebkit-qmlwebkitplugin instead of libqtwebkit4-declarative
    to match oneiric package renames
  * Build depend on kde-workspace-dev instead of kdebase-workspace-dev

 -- Scott Kitterman <scott@kitterman.com>  Thu, 21 Jul 2011 09:43:27 -0400

plasma-mobile (0.0~svn20110101-0ubuntu2) natty; urgency=low

  * Add plasma-widgets-workspace to plasma-mobile depends

 -- Scott Kitterman <scott@kitterman.com>  Wed, 13 Apr 2011 20:51:15 -0400

plasma-mobile (0.0~svn20110101-0ubuntu1) natty; urgency=low

  * New svn snapshot
  * Remove kubuntu_01_library_version.diff and
    debian-changes-0.0~svn20100830-0ubuntu4, they don't apply and aren't
    needed in the current snapshot.

 -- Rodrigo Belem <rclbelem@gmail.com>  Sat, 01 Jan 2011 16:58:27 -0400
