=== applets/CMakeLists.txt ===
installPackage(powerbutton org.kde.active.powerbutton)
installPackage(resourcelist org.kde.resourcelist)
installPackage(digital-clock org.kde.digital-clock)

add_subdirectory(alarms)
add_subdirectory(locationchooser)
