=== applications/CMakeLists.txt ===
add_subdirectory(common)

add_subdirectory(about)
add_subdirectory(settings)
add_subdirectory(filebrowser)
add_subdirectory(webbrowser)
add_subdirectory(widgetstrip)
