=== artwork/CMakeLists.txt ===
add_subdirectory(desktoptheme)
add_subdirectory(mousetheme)
