=== components/CMakeLists.txt ===
add_subdirectory(metadatamodel)
add_subdirectory(mobilecomponents)
add_subdirectory(dirmodel)
add_subdirectory(settings)
