=== containments/CMakeLists.txt ===
installPackage(activityscreen org.kde.active.activityscreen)
installPackage(appletstrip org.kde.appletstrip)
installPackage(webdashboard org.kde.webdashboard)
installPackage(systemtray org.kde.active.systemtray)
