=== dataengines/CMakeLists.txt ===
add_subdirectory(alarms)
add_subdirectory(apps)
add_subdirectory(devicecapabilities)
add_subdirectory(metadata)
add_subdirectory(preview)
add_subdirectory(recommendations)
