=== handset/CMakeLists.txt ===
add_subdirectory(applets)
add_subdirectory(containments)
add_subdirectory(dataengines)
add_subdirectory(mobiletoolbox)
add_subdirectory(qmlpackages)
