=== qmlpackages/CMakeLists.txt ===
add_subdirectory(activityswitcher)
add_subdirectory(launcher)
add_subdirectory(contour-tablet-homescreen)
add_subdirectory(contourrecommendations)
