=== debian/changelog ===
plasma-mobile (1:0.5-0ubuntu2) saucy; urgency=low

  * plasma-active Breaks/Replaces contour (LP: #1237854)
  * plasma-active-data Breaks/Replaces contour-data

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 11 Oct 2013 10:53:06 +0200

plasma-mobile (1:0.5-0ubuntu1) saucy; urgency=high

  * New upstream release LP: #1227602
  * Use epoch to sync with upstream version number
  * Build-dep on libxcursor-dev
  * Add kubuntu_no_contourd.diff to disable contourd from building,
    does not compile with 4.11 and not used by default
  * Depend on renamed package ksplash-theme-active
  * Add kubuntu_no_dirmodel.diff to prevert compile of dirmodel,
    included in kde-runtime 4.11

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Sep 2013 14:08:58 +0100

plasma-mobile (3.0-0ubuntu2) saucy; urgency=low

  * Drop libdirmodelplugin.so and depend on kde-runtime >= 4.10.80 instead

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Jun 2013 19:52:05 +0530

plasma-mobile (3.0-0ubuntu1) raring; urgency=low

  * New upstream release
  * Update install files
  * Run wrap-and-sort
  * Add plasma-mobile-dev
  * Drop plasma-active-keyboardcontainer

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 22 Dec 2012 01:58:11 +0000

plasma-mobile (2.0+git2012071701-0ubuntu1) quantal; urgency=low

  * New upstream snapshot
  * Remove build-dep on kde-runtime-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jul 2012 12:04:43 +0100

plasma-mobile (2.0+git2012021101-0ubuntu5) quantal; urgency=low

  * Build-depend on kdelibs5-dev instead of kdelibs5-experimental-dev as
    the latter is now part of the former.
  * Fix lintian errors missing-separator-between-items and
    not-binnmuable-any-depends-all.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 10 Jun 2012 18:53:21 +0200

plasma-mobile (2.0+git2012021101-0ubuntu4) precise; urgency=low

  * Fix plasma-active-default-settings install path
  * Add kde-runtime-dev as build-deps in place of kde-runtime

 -- Rodrigo Belem <rbelem@ubuntu.com>  Sat, 17 Mar 2012 16:15:57 -0400

plasma-mobile (2.0+git2012021101-0ubuntu3) precise; urgency=low

  [ Rodrigo Belem ]
  * Added startactive and startactive-ksplash-theme as dependency for
    plasma-active.
  * On debian/rules the get-orig-source received a cleanup.

  [ Jonathan Riddell ]
  * Depend on qtmultimediakit
  * Depend on kde-artwork-active
  * Depend on startactive

 -- Rodrigo Belem <rbelem@ubuntu.com>  Mon, 05 Mar 2012 11:19:48 +0000

plasma-mobile (2.0+git2012021101-0ubuntu2) precise; urgency=low

  * Fix files installation overlapping.

 -- Rodrigo Belem <rbelem@ubuntu.com>  Mon, 27 Feb 2012 00:07:05 -0400

plasma-mobile (2.0+git2012021101-0ubuntu1) precise; urgency=low

  * New git snapshot
  * Split the plasma-mobile package into:
    - plasma-active
    - plasma-active-data
    - plasma-active-imageviewer
    - plasma-active-keyboardcontainer
    - plasma-active-mobilecomponents
    - plasma-active-settings
    - plasma-active-webbrowser
    - plasma-widgets-active
  * Remove the kubuntu_01_fix_qtwebkit_linkage.diff. Patch upstreamed.
  * Add the patch kubuntu-01-Fix-missing-include-file-build-failure.diff

 -- Rodrigo Belem <rbelem@ubuntu.com>  Sun, 16 Oct 2011 18:02:47 -0400

plasma-mobile (0.0~svngit20110825-0ubuntu1) oneiric; urgency=low

  * New git snapshot 595e966
  * Update get-orig-source to use git
  * Updated maintainer address to rbelem@ubuntu.com
  * Add the patch kubuntu_01_fix_qtwebkit_linkage.diff
  * Remove the patch Adding_project_name_to_cmakelists.diff. Patch upstreamed.
  * Include pkg-kde-tools in the debian/rules
  * Create the links plasma-tablet, plasma-contour that points to
    plasma-mobile.
  * Add shared-desktop-ontologies and libqtwebkit-dev as build dependency
  * Bump standards-version to 3.9.2

 -- Rodrigo Belem <rbelem@ubuntu.com>  Thu, 25 Aug 2011 13:42:59 -0400
