=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

NAME?=plasma-mobile
VERSION?=2.0+git$(shell date +%Y%m%d)01
DIRNAME?=$(NAME)-$(VERSION)
TARFILE?=$(NAME)_$(VERSION).orig.tar.gz

get-orig-source:
	git archive --format=tar --prefix=$(DIRNAME)/ --remote=git://anongit.kde.org/plasma-mobile Active/3 | gzip -c9 > ../$(TARFILE)

../$(TARFILE): get-orig-source

.PHONY: override_dh_auto_test
