## plasma-mobile 2.0%2bgit2012021101

=== debian/changelog ===
plasma-mobile (2.0+git2012021101-0ubuntu4~ppa3) precise; urgency=low

  * Fix plasma-active-default-settings install path
  * Add kde-runtime-dev as build-deps in place of kde-runtime

 -- Rodrigo Belem <rbelem@ubuntu.com>  Sat, 17 Mar 2012 16:15:57 -0400
