=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16~), quilt (>= 0.46-7~), cmake,
 pkg-kde-tools (>= 0.12), kdelibs5-experimental-dev (>= 4.7.90),
 libkactivities-dev, kde-runtime-dev, libqt4-opengl-dev, libqtwebkit-dev,
 kde-workspace-dev, libxrender-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/

Package: plasma-mobile
Architecture: all
Depends: plasma-active
Description: transitional package for plasma-active
 This is a transitional package to ease upgrades to the plasma-active package.
 It can safely be removed.

Package: plasma-active
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 plasma-active-data (= ${binary:Version}),
 plasma-active-mobilecomponents (= ${binary:Version}),
 share-like-connect,
 libqtwebkit-qmlwebkitplugin,
 plasma-widgets-addons (>= 4.7),
 plasma-widgets-workspace,
 startactive,
 startactive-ksplash-theme,
 libqtmultimediakit1,
 libdeclarative-multimedia,
 kde-artwork-active,
 startactive
Recommends: plasma-active-settings (= ${binary:Version}),
 plasma-widgets-active (= ${binary:Version}),
 plasma-active-imageviewer (= ${binary:Version}),
 plasma-active-webbrowser (= ${binary:Version})
Description: KDE Plasma Contour Active workspace for mobile devices
 Provides a basic KDE plasma workspace for mobile environments, which supports
 a wide variety of mobile application types.
 Applications which integrate best in this environment follow standards used by
 the KDE Platform.
 .
 This package is part of the Plasma Contour Active Platform.

Package: plasma-active-mobilecomponents
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-runtime
Description: Qt Quick components for the Plasma Contour Active workspace
 Qt Quick components to develop applications for the Plasma Contour Active
 workspace.
 .
 This package is part of the Plasma Contour Active Platform.

Package: plasma-active-imageviewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-declarative-gestures,
 plasma-active-mobilecomponents (= ${binary:Version}), share-like-connect
Description: image viewer for the KDE Plasma Contour Active workspace
 Provides a simple graphics viewer for the Plasma Contour Active workspace.
 .
 This package is part of the Plasma Contour Active Platform.
 This package provides a tech preview KDE Plasma Mobile installation.

Package: plasma-active-webbrowser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtwebkit-qmlwebkitplugin,
 plasma-active-mobilecomponents (= ${binary:Version}),
 libqt4-declarative-gestures
Description: web browser for the KDE Plasma Contour Active workspace
 Provides a simple web browser optimized for the Plasma Contour Active
 workspace.
 .
 This package is part of the Plasma Contour Active Platform.

Package: plasma-active-settings
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
 plasma-active-mobilecomponents (= ${binary:Version})
Description: settings for the KDE Plasma Contour Active workspace
 Provides a settings user interface optimized for the Plasma Contour Active
 workspace.
 .
 This package is part of the Plasma Contour Active Platform.

Package: plasma-active-keyboardcontainer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tech preview of the KDE plasma workspace for mobile devices
 Provides a simple virtual keyboard for the Plasma Contour Active Workspace.
 .
 This package is part of the Plasma Contour Active Platform.

Package: plasma-widgets-active
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plasma widgets and containments for the KDE Plasma Countor Active
 This package contains standard Plasma widgets and containments shipped in the
 KDE Plasma Contour Active workspace.
 .
 This package is part of the Plasma Contour Active Platform.

Package: plasma-active-data
Architecture: all
Depends: ${misc:Depends}
Description: shared data files for the KDE Plasma Contour Active workspace
 This package contains architecture-independent shared data files needed for the
 KDE Plasma Contour Active installation.
 .
 This package is part of the Plasma Contour Active Platform.

Package: plasma-active-default-settings
Architecture: all
Depends: ${misc:Depends}
Description:  preview of the KDE plasma workspace for mobile devices
 This package contains the default settings for the KDE Plasma Contour Active.
 .
 This package is part of the Plasma Contour Active Platform.
