=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 TARFILE?=$(NAME)_$(VERSION).orig.tar.gz
 
 get-orig-source:
-	git archive --format=tar --prefix=$(DIRNAME)/ --remote=git://anongit.kde.org/plasma-mobile Active/3 | gzip -c9 > ../$(TARFILE)
+	git archive --format=tar --prefix=$(DIRNAME)/ --remote=git://anongit.kde.org/plasma-mobile Active/Two | gzip -c9 > ../$(TARFILE)
 
 ../$(TARFILE): get-orig-source
